/*
 * Class EV_TEXTABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_992 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_992 [] = {0xFF01,1551,991,0xFFFF};
static const EIF_TYPE_INDEX egt_2_992 [] = {0xFF01,991,0xFFFF};
static const EIF_TYPE_INDEX egt_3_992 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_992 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_992 [] = {0xFF01,991,0xFFFF};
static const EIF_TYPE_INDEX egt_6_992 [] = {0xFF01,991,0xFFFF};
static const EIF_TYPE_INDEX egt_7_992 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_992 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_992 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_992 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_992 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_992 [] = {0xFF01,991,0xFFFF};
static const EIF_TYPE_INDEX egt_13_992 [] = {0xFF01,1175,0xFFFF};
static const EIF_TYPE_INDEX egt_14_992 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_992 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_992[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_992), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_992), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_992), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_992), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_992), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_992), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_992), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_992), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_992), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_992), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_992), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_992), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07BF /*991*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_992), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_992), 24706, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24705, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_992), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24701, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_992), 24702, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24703, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24704, 0xFFFFFFFF},
};
void Init992(void)
{
	IDSC(desc_992, 0, 991);
	IDSC(desc_992 + 1, 1, 991);
	IDSC(desc_992 + 32, 1593, 991);
	IDSC(desc_992 + 47, 642, 991);
}


#ifdef __cplusplus
}
#endif
